Summary: Grep searches one or more input files for lines containing a match to a specified pattern.

Name: grep
Version: 3.11
Release: 3%{?dist}
License: GPLv3+
URL: https://www.gnu.org/software/grep/

Source: https://ftp.gnu.org/pub/gnu/grep/grep-%{version}.tar.xz
Source1: grep-color.conf
Source2: grep-color.sh

Patch0001: grep-3.5-help-align.patch

# https://mail.gnu.org/archive/html/bug-grep/2023-06/msg00009.html
Patch0002: grep-3.11-tests-drop.patch

BuildRequires: gcc autoconf automake make
BuildRequires: pcre2-devel
BuildRequires: texinfo gettext
BuildRequires: perl(FileHandle) gnupg2
BuildRequires: libsigsegv-devel

# temporal for Patch0002
BuildRequires: gettext-devel

Provides: bundled(gnulib)
Provides: /bin/grep /bin/fgrep /bin/egrep

%description
The GNU versions of commonly used grep utilities. Grep searches through
textual input for lines which contain a match to a specified pattern and then
prints the matching lines. GNU's grep utilities include grep, egrep and fgrep.

GNU grep is needed by many scripts, so it shall be installed on every system.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-silent-rules \
  CPPFLAGS="-I%{_includedir}/pcre" CFLAGS="$RPM_OPT_FLAGS"
%make_build

%install
%make_install
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d

%check
make check

%files
%doc AUTHORS THANKS TODO NEWS README
%license COPYING
%{_bindir}/*
%{_infodir}/*.info*.gz
%{_mandir}/*/*
%{_datadir}/locale/*
%config(noreplace) %{_sysconfdir}/profile.d/grep-color.sh
%config(noreplace) %{_sysconfdir}/grep-color.conf

%changelog
* Mon Sep 11 2023 Wang Guodong <gordonwwang@tencent.com> - 3.11-3
- replace BuildRequires: pcre-devel with pcre2-devel

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Jul 28 2023 Shuo Wang <abushwang@tencent.com> - 3.11-1
- update to 3.11

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Apr 08 2022 jackbertluo <jackbertluo@tencent.com> - 3.7-1 
- Initial build
